/**
 * plugin.js
 *
 */

tinymce.PluginManager.add('exit', function(editor) {
    function save() {
        if (typeof editor.getParam("exit_onsavecallback") === "function") {
            editor.execCallback('exit_onsavecallback', editor);
        }
    }

    function exit() {
        if (typeof editor.getParam("exit_onexitcallback") === "function") {
            editor.execCallback('exit_onexitcallback', editor);
            return;
        }
        editor.remove();
    }

    editor.addCommand('mceSave', save);
    editor.addCommand('mceExit', exit);

    editor.addButton('save', {
        text: 'Save',
        icon: false,
        cmd: 'mceSave',
    });

    editor.addButton('exit', {
        text: 'Exit',
        icon: false,
        cmd: 'mceExit'
    });

});